cl.cromer.mt

## Class LeerXML.CustomErrorHandler

- java.lang.Object
- - cl.cromer.mt.LeerXML.CustomErrorHandler

All Implemented Interfaces:
  org.xml.sax.ErrorHandler

Enclosing class:
  LeerXML

    public class LeerXML.CustomErrorHandler
    extends java.lang.Object
    implements org.xml.sax.ErrorHandler

Esta clase es para manejar problemas en los archivo .xml

### Constructor Summary

Constructors
Constructor and Description
`CustomErrorHandler()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `error(org.xml.sax.SAXParseException exception)` Errores fatales, el archivo es invalido.
`void` `fatalError(org.xml.sax.SAXParseException exception)` Errores fatales, el archivo es invalido.
`void` `warning(org.xml.sax.SAXParseException exception)` Errores fatales, el archivo es invalido.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomErrorHandler

    public CustomErrorHandler()

### Method Detail

#### warning

    public void warning(org.xml.sax.SAXParseException exception)
                 throws org.xml.sax.SAXException

Errores fatales, el archivo es invalido.

Specified by:
  `warning` in interface `org.xml.sax.ErrorHandler`
Parameters:
  `exception` - La excepción
Throws:
  `org.xml.sax.SAXException` - La SAX excepción

#### error

    public void error(org.xml.sax.SAXParseException exception)
               throws org.xml.sax.SAXException

Errores fatales, el archivo es invalido.

Specified by:
  `error` in interface `org.xml.sax.ErrorHandler`
Parameters:
  `exception` - La excepción
Throws:
  `org.xml.sax.SAXException` - La SAX excepción

#### fatalError

    public void fatalError(org.xml.sax.SAXParseException exception)
                    throws org.xml.sax.SAXException

Errores fatales, el archivo es invalido.

Specified by:
  `fatalError` in interface `org.xml.sax.ErrorHandler`
Parameters:
  `exception` - La excepción
Throws:
  `org.xml.sax.SAXException` - La SAX excepción